@import url('./global.css');

/* Global */
.part-header {
  border: 1px solid rgb(218, 218, 218) !important;
}

/* Section Hero */
.section-hero {
  padding: 70px 20px 40px;
  background: #f7f7f7;
  position: relative;
}

.section-hero__logo {
  width: 100%;
  display: flex;
  justify-content: center;  
  padding: 24px 0 16px;
  position: relative;
  z-index: 1;
}

.section-hero__logo img {
  width: 120px;
}

.section-hero__background {
  width: 100vw;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0.6;
}

/* Form */
.form-container {
  background: #fff;
  border-radius: 12px;
  box-shadow: 0 10px 30px #2d7dc320;
  width: 100%;
  max-width: 600px;
  box-sizing: border-box;
  padding: 16px;
  margin: auto;
  position: relative;
  z-index: 1;
}

.form-container h2 {
  text-align: center;
  color: #333;
  margin-bottom: 30px;
  font-weight: bold;
  font-size: 2.4rem;
}

.form-group {
  margin-bottom: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.form-group label {
  display: block;
  margin-bottom: 8px;
  color: #555;
  font-weight: bold;
  font-size: 1.4rem;
}

.form-group input, .form-group select {
  width: 100%;
  padding: 12px 8px;
  border: 1px solid #ddd;
  border-radius: 8px;
  box-sizing: border-box;
  transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

.form-group input[type="text"]:focus,
.form-group input[type="email"]:focus,
.form-group select:focus {
  border-color: #2d7dc3;
  box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.25);
  outline: none;
}


.button {
  width: 100%;
  max-width: 300px;
  margin: auto;
  padding: 15px;
  background-color: #2d7dc3;
  color: white;
  border: none;
  border-radius: 8px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
  font-size: 1.4rem;
}

.button:hover {
  background-color: #2d7dc3;
  transform: translateY(-2px);
}

.form-group input[type="text"],
.form-group input[type="email"],
.form-group select {
  font-size: 1.4rem;
  background: #fff;
  padding: 16px 8px;
  color: #0d0d0d;
}

option {
  color: #0d0d0d;
}

@media (max-width: 768px) {
  .form-container {
    padding: 16px;
  }

  .form-group input[type="text"],
  .form-group input[type="email"],
  .form-group select {
    padding: 12px;
  }

  .form-container h2 {
    font-size: 1.8em;
  }
}

/* Modal */
#simulacao-modal {
  display:none; 
  position:fixed; 
  top:0; 
  left:0; 
  width:100%; 
  height:100%; 
  background:rgba(0,0,0,0.6); 
  justify-content:center; 
  align-items:center; 
  z-index: 20000;
}

.modal-content {
  padding:30px; 
  border-radius:10px; 
  max-width: 600px !important; 
  width:90%; 
  text-align:center; 
  position:relative;
}

#simulacao-modal__close {
  background: transparent;
  border: none;
}

/* List Result */
.list-result {
  text-align: left;
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 0;
}

.list-result li {
  font-weight: 400;
}